#!/bin/ash

echo $'- Transformation des données de régions'
cat node_modules/@etalab/decoupage-administratif/data/regions.json | jq -r '.[] | [.code, .chefLieu, .nom, .typeLiaison, .zone] | @csv' > initdb/regions.csv

echo $'- Transformation des données de départements'
cat node_modules/@etalab/decoupage-administratif/data/departements.json | jq -r '.[] | [.code, .region, .chefLieu, .nom, .typeLiaison, .zone] | @csv' > initdb/departements.csv

echo $'- Extraction des données INPI'
unzip -o ./tmp/StockEtablissement_utf8.zip -d ./initdb/
